Subject: bug#44503: 27.1; image-scroll-up and image-scroll-down

From: Eli Zaretskii <[email-masked]>
Date: Wed, 09 Jun 2021 14:51:15 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  Eli Zaretskii <[email-masked]>
> Date: Wed, 09 Jun 2021 11:56:38 +0200
> 
> "Roland Winkler" <[email-masked]> writes:
> 
> > I am sorry, I haven't had as much progress as I had wanted to.  I
> > realized that the discrepancy between documented behavior and actual
> > code exists in a larger number of commands than I had expected.  So
> > the question becomes: for how many commands do we want to include a
> > remark in the docstring saying that due to historical reasons they
> > call prefix-numeric-value not in their interactive specs, but
> > scroll_command calls prefix_numeric_value in its body, which defines
> > how these commands interpret the argument.  (The actual wording in the
> > docstrings should probably be different.)
> >
> > I guess for the built-in functions scroll-up and scroll-down as well
> > as image-scroll-up and image-scroll-down it is most important to
> > mention this and we could leave the docstrings of other commands
> > untouched.  What do you think?
> 
> Well, the doc strings for these commands don't really describe
> interactive usage at all, but I think most people would interpret what's
> there as "it's like (interactive "p"), but with no prefix at all it
> behaves differently".  (Which is what it does -- a full screen instead
> of a line.)

What about the value of '-' ?

> Stating this explicitly in the doc strings of these four commands would
> be nice.  So something like:
> 
> Interactively, giving this command a numerical prefix will scroll by
> that many lines.  Without a prefix, scroll by a full screen.

Btw, the doc strings also use both N and ARG, but should only use N.